Recovery target settings

PostgreSQL 9.0.3 Documentation
Prev | Fast Backward | Chapter 26. Recovery Configuration | Fast Forward | Next

# 26.2. Recovery target settings

`recovery_target_time` (`timestamp`)

  This parameter specifies the time stamp up to which recovery will proceed. At most one of `recovery_target_time` and recovery_target_xid can be specified. The default is to recover to the end of the WAL log. The precise stopping point is also influenced by recovery_target_inclusive.

`recovery_target_xid` (`string`)

  This parameter specifies the transaction ID up to which recovery will proceed. Keep in mind that while transaction IDs are assigned sequentially at transaction start, transactions can complete in a different numeric order. The transactions that will be recovered are those that committed before (and optionally including) the specified one. At most one of `recovery_target_xid` and recovery_target_time can be specified. The default is to recover to the end of the WAL log. The precise stopping point is also influenced by recovery_target_inclusive.

`recovery_target_inclusive` (`boolean`)

  Specifies whether we stop just after the specified recovery target (`true`), or just before the recovery target (`false`). Applies to both recovery_target_time and recovery_target_xid, whichever one is specified for this recovery. This indicates whether transactions having exactly the target commit time or ID, respectively, will be included in the recovery. Default is `true`.

`recovery_target_timeline` (`string`)

  Specifies recovering into a particular timeline. The default is to recover along the same timeline that was current when the base backup was taken. You only need to set this parameter in complex re-recovery situations, where you need to return to a state that itself was reached after a point-in-time recovery. See Section 24.3.4 for discussion.

Prev | Home | Next
Archive recovery settings | Up | Standby server settings